Package org.eclipse.emf.cdo.server.db.mapping

# Interface IListMapping4

public interface IListMapping4
Extension interface to `IListMapping`.

Since:
  4.7
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`void`
`writeValues(IDBStoreAccessor accessor, CDORevision revision, boolean firstRevision, boolean raw)`
Write a complete list of values to the database.

## Method Details

### writeValues

void writeValues(IDBStoreAccessor accessor, CDORevision revision, boolean firstRevision, boolean raw)
Write a complete list of values to the database.

Parameters:
  `accessor` - the accessor to use.
  `revision` - the revision containing the list to be written.
  `firstRevision` - `true` if the type of the object is supposed to be mapped, `false` otherwise.
  `raw` - `true` if this method is called as part of the `raw` storage, `false` otherwise.